#include <continuity.h>
#include <http.h>

int redirector(httpTtrans * t, lstTset * opt);

int redirector(httpTtrans * t, lstTset * opt)
{
    const char *target;

    target = httpFquery_val(t, "target");

    if (target == NULL)
        return STATUS_PROCEED;

    return httpFredirect(t, target);
}
